Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

In this Discussion

osTicket v1.10 (stable) and Maintenance Release v1.9.15 are now available! Go get it now

Upgrade osTicket from 1.9.5 to 1.9.12

  1. Is there any database changes when upgrading from 1.9.5 to 1.9.12?
  2. Is it OK, If I rename existing "Support" (1.9.5v) folder and copy new version (1.9.12).
  3. Replace with old ost-config.php to "Support" (1.9.12) directory.
  4. Restore database backup to new database.

Comments

  • 1. Is there any database changes when upgrading from 1.9.5 to 1.9.12?
    A: I believe that 1.9.5 was the last time that the DB structure was changed, but I could be wrong as it was released about a year ago. [1.9.6 was released on Mar 13, 2015]

    2. Is it OK, If I rename existing "Support" (1.9.5v) folder and copy new version (1.9.12).
    A: Sure.

    3. Replace with old ost-config.php to "Support" (1.9.12) directory.
    A: Sure.

    4. Restore database backup to new database.
    A: Why would you restore the DB?  if you replaced the ost-config.php in step 3 it will simply use the existing DB.  There doesn't not appear to be any reason to restore.
  • @ntozier is correct!
    Just one minor thing: 1.9.4 was the last time the database changed ;)
  • 4. Restore database backup to new database.
    A:
    Why would you restore the DB?  if you replaced the ost-config.php in
    step 3 it will simply use the existing DB.  There doesn't not appear to
    be any reason to restore.

    A. Because I need restore DB of 1.9.5v, my End Users (1044) and Agents (44) and Tickets.
  • Again, there is no need to restore the database!
    The ost-config.php points to your database, so when move the ost-config to the directory of the new version, your new osTicket will automatically point to the old database. Hope you understand now ;)
  • Yes, just renaming the old version's (1.9.5) support directory and copy latest version's(1.9.12) support directory to web hosting location and copy ost-config.php (1.9.5) to new version.
  • Thanks for your support, pls close the discussion.
This discussion has been closed.